(ns cipher-analytical-machine.cli.actions.cryptography
  (:require
   [cipher-analytical-machine.ciphers.caesar :as caesar])
  (:gen-class))

(defn caesar-actions
  [options arguments action-type]
  (let [message (:message options)
        key (Integer/parseInt (:key options))
        symbols (:symbols options)]
    (cond
      (= action-type :encrypt)
      (caesar/encrypt-message message key symbols)

      (= action-type :decrypt)
      (caesar/decrypt-message message key symbols))))

(defn cryptography-actions
  [options arguments action-type]
  (let [cipher (:cipher options)]
    (cond
      (= cipher "Caesar")
      (caesar-actions options arguments action-type))))

